summaryrefslogtreecommitdiffstats
path: root/tests/version.sh
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2023-06-17 15:12:42 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2023-06-17 15:12:42 (EDT)
commit7d89909b5aa47c9c6e5ee5ce662893abd2c9249a (patch)
treedbd19fc3342db8a76d908e83183b2eed9359fbf6 /tests/version.sh
parentf882f7662ae8b0ae427be3e333de959084a2eb5b (diff)
tests: Add version output test
Diffstat (limited to 'tests/version.sh')
-rwxr-xr-xtests/version.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/tests/version.sh b/tests/version.sh
new file mode 100755
index 0000000..d8ad9be
--- /dev/null
+++ b/tests/version.sh
@@ -0,0 +1,36 @@
+# Test for opkg-opk's version output
+#
+# Copyright (C) 2019 Patrick McDermott
+#
+# This file is part of opkg-opk.
+#
+# opkg-opk is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# opkg-opk is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with opkg-opk. If not, see <http://www.gnu.org/licenses/>.
+
+set -eu
+
+. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
+
+plan_ 1
+
+got="$("${TOP_BUILDDIR}/opkg-opk" -V)"
+case "${got}" in
+ 'opkg-opk '*)
+ result_ 'ok' -- 'opkg-opk version output'
+ ;;
+ *)
+ result_ 'not ok' -- 'opkg-opk version output'
+ diag_ " Failed test 'opkg-opk version output'"
+ diag_ " got: '${got}'"
+ ;;
+esac